import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;

public class HamletParserTest {
    private String hamletText;
    private HamletParser hamletParser;

    @Before
    public void setUp() {
        this.hamletParser = new HamletParser();
        this.hamletText = hamletParser.getHamletData();
    }

    @Test
    public void testChangeHamletToLeon() {
        //given
        String test = "Hamlet likes coding";
        String expected = "Leon likes coding";

        //when
        String actual = hamletParser.changeHamletToLeon(test);

        //then
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testChangeHoratioToTariq() {
        //given
        String test = "Horatio likes coding";
        String expected = "Tariq likes coding";

        //when
        String actual = hamletParser.changeHoratioToTariq(test);

        //then
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testFindHoratio() {
        //given
        String name = " ";
        String expected = "Horatio";

        //when

       Boolean actual = hamletParser.findHoratio(name);

        //then
        Assert.assertTrue(expected, actual);
    }

    @Test
    public void testFindHamlet() {
        //given
        String name = " ";
        String expected = "Hamlet";

        //when

        Boolean actual = hamletParser.findHamlet(name);

        //then
        Assert.assertTrue(expected, actual);
    }
}